<?php
//inclog
header('Content-Type: text/html; charset=utf-8');
ob_start();
// Load config
require_once('./config/config.php');
if($protect==true) {
	$name= null;
	if (isset($_SERVER['PHP_AUTH_USER']))
		$name = $_SERVER['PHP_AUTH_USER'];
	
	$password= null;
	if (isset($_SERVER['PHP_AUTH_PW']))
		$password = $_SERVER['PHP_AUTH_PW'];
	
	if($name==$login&&$password==$pass){
		//OK
	} else {
		ob_end_clean();
		echo 'NotOk';
		exit();
	}	
}

if(isset($_GET['profil'])) $profil=$_GET['profil'];
else exit;

$fichierbase="./config/rooms";
if($profil>0) $fichiersave=$fichierbase.$profil.".json";
else $fichiersave=$fichierbase.".json";

$success="NotOk";

if (file_exists($fichierbase.".json")) {
	if(copy($fichierbase.".json", $fichiersave)) $success="OK";
} else {
	$eedomus="http://".$ip."/api/get?api_user=".$api_user."&api_secret=".$api_secret."&";
	$url=$eedomus."action=periph.list";
	
	$json=file_get_contents($url);
	$json = json_decode(utf8_encode($json), true);
	$devices = $json['body'];
	$columns = array_column($devices, 'room_id');
	array_multisort($columns, SORT_ASC, $devices);
	$Rooms=array();
	$room_id="";
	if(sizeof($devices) >0) {
		foreach ($devices as $device) {
			if($device['room_id']!=$room_id)  {
				$room_id=$device['room_id'];
				//echo $room_id;
				$Rooms[]= array (
					'id' => $device['room_id'],
					'name' => $device['room_name']
					);
				//print_r($Rooms);
			}
		}
		$success="OK";
	}
	
	
	$Rooms[]= array (
		'name' => "Aucune pièce",
		'id' => "0",
		'section' => 1,
		'ind' => 99
		);
	$rooms='{"rooms":'.json_encode($Rooms).'}';
	file_put_contents($fichiersave, $rooms);
}
//print($rooms);
ob_end_clean();
echo $success;
?>