<?php
header('Content-Type: application/javascript; charset=utf-8');
header('Cache-Control: no-cache, must-revalidate'); // HTTP/1.1
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
ob_start();

require_once('./config/confadmin.php');
$success="false";
$result="";
if($_GET['admin_login']!=$adlogin||$_GET['admin_pw']!=$adpw) {
	$result="login error";
} else {
	$success="true";
	$result.="<p>Test du serveur PHP</p>";
	if(version_compare(phpversion(), '5.2', '<')) {
		$result.='<p class="red">Il faut au moins une version 5.2 de PHP.</p>';
	} else {
		$result.='<p class="grey">Version PHP OK : '.phpversion().'.</p>';
	}
	
	if(isExtensionLoaded('curl')) {
		$result.='<p class="grey">OK : Extension curl disponible.</p>';
	} else {
		$result.='<p class="red">Extension curl pour php non trouvée.</p>';
	}
	
	
	if(file_exists('./config/config.php')) {
		require_once('./config/config.php');
		$result.="<p>Fichier de configuration trouvé</p>";
		$eedomus="http://".$ip."/api/get?api_user=".$api_user."&api_secret=".$api_secret."&action=auth.test";
		try {
			$json=@file_get_contents($eedomus);
			if ($json==false) {
				// Handle the error
				$result.="<p class='red'>Pas de réponse de l'eedomus.</p>";
			} else {
				$json=json_decode(utf8_encode($json), true);
				if($json['success']==1) $result.="<p class='grey'>OK : L'eedomus a répondu.</p>";
				else $result.="<p class='red'>Pas de réponse de l'eedomus. Peut-être un mauvais identifiant.</p>";
			}
		} catch (Exception $e) {
			// Handle exception
			$result.="<p class='red'>Pas de réponse de l'eedomus. Peut-être une mauvaise IP</p>";
		}
	} else {
		$result.='<p class="red">Configuration non définie<p>';
	}
}
$json = json_encode($result);
$json = '{"success":"'.$success.'","resultat":'.$json."}";

ob_end_clean();
if (isset($_GET['callback'])) {
	echo $_GET['callback'].'('.$json.');';
} else {
	echo $json;
}

function isExtensionLoaded($extension_name){
    return extension_loaded($extension_name);
}

function fw($file) {
	return (file_exists($file) && is_writeable($file));
}
?>